# Chez Scheme Project Charter (the “Charter”)

This Charter sets forth the responsibilities and procedures for
technical contribution to, and oversight of, the Chez Scheme Project
(the “Project”).  Participation in the Project is open to all in a
fair, reasonable, and non-discriminatory manner.  Contributors to
the Project must comply with the terms of this Charter.

1. Governance
   * The Project will involve Contributors and Committers.
     Contributors include anyone in the technical community who
     contributes code, documentation, or other technical artifacts
     to the Project.  Committers are Contributors who have the
     ability to commit code directly to the Project’s main branch
     or repository.
   * The Committers shall be responsible for technical oversight
     and other decision making of the Project.  The Committers will
     seek to make decisions by consensus.  Except where otherwise
     specified below, if a consensus cannot be reached, Project
     decisions shall be made by a two-thirds vote of the Committers.
   * A unanimous vote of the Committers shall be required for any
     change or amendment to this Charter.

2. Technical Policy
   * Any Committer may review a pull request and accept, reject,
     or solicit modifications to the request, at the Committer’s
     sole discretion.  For changes that might be highly impactful
     or controversial, Committers are encouraged, but not required,
     to seek consensus from the other Committers before proceeding.
     Committers are not required to respond to every pull request,
     but shall make reasonable efforts to do so.
   * Any existing Committer may nominate a Contributor with the
     demonstrated experience, knowledge, and commitment to the
     Project to become a new Committer.  A nominee can become a
     Committer only by a unanimous vote of the existing Committers.
   * Any Committer may resign at any time by giving notice to the
     other Committers.  Any Committer may also be removed at any
     time by a unanimous vote of the other Committers.

3. Intellectual Property Policy
   * All new inbound code contributions to the Project shall be
     made under the [Apache 2.0 license]
     (http://www.apache.org/licenses/LICENSE-2.0).
   * By submitting a contribution, a Contributor certifies that
     the Contributor is the sole creator of the contribution and/or
     has the right under all applicable intellectual property laws
     to provide the contribution to the Project under the terms of
     the Apache 2.0 license.
   * If a Contributor wishes to contribute existing source code
     covered by an open-source license other than Apache 2.0, the
     Contributor must seek an exception from the Committers.
     Exceptions shall be approved only by a unanimous vote of the
     Committers and duly recorded in the file NOTICE.
   * All outbound code will be made available under the Apache 2.0
     license.
